Package org.apache.sling.cms

## Interface NameFilter

    public interface NameFilter

Service for filtering an arbitrary string into a Sling-compatible Resource name.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull String` `filter​(@NotNull String name)` Filter the provided name.

### Method Detail

#### filter

    @NotNull
    @NotNull String filter​(@NotNull
                           @NotNull String name)

Filter the provided name.

Parameters:
  `name` - a String name
Returns:
  the Sling-compatible name